#!/usr/bin/env python3

import hal
import linuxcnc

h = hal.component("tool-info-comp")
# number of tools to expose
n = 8
for t in range(1, n+1):
    h.newpin("z_offset_tool_" + str(t), hal.HAL_FLOAT, hal.HAL_OUT)
h.ready()

# create a connection to the status channel
s = linuxcnc.stat()

try:
    while 1:
        s.poll() # get current values
        if s.tool_table[1]:
            for t in range(1, n+1):
                h['z_offset_tool_' + str(t)] = float(s.tool_table[t].zoffset)

except KeyboardInterrupt:
    raise SystemExit
