#!/usr/bin/env python3

import hal
import linuxcnc

h = hal.component("tool-info-comp")

h.newpin("z_offset_tool_1", hal.HAL_FLOAT, hal.HAL_OUT)
h.newpin("z_offset_tool_2", hal.HAL_FLOAT, hal.HAL_OUT)
h.newpin("z_offset_tool_3", hal.HAL_FLOAT, hal.HAL_OUT)
h.newpin("z_offset_tool_4", hal.HAL_FLOAT, hal.HAL_OUT)
h.newpin("z_offset_tool_5", hal.HAL_FLOAT, hal.HAL_OUT)
h.newpin("z_offset_tool_6", hal.HAL_FLOAT, hal.HAL_OUT)
h.newpin("z_offset_tool_7", hal.HAL_FLOAT, hal.HAL_OUT)
h.newpin("z_offset_tool_8", hal.HAL_FLOAT, hal.HAL_OUT)

h.ready()

# create a connection to the status channel
s = linuxcnc.stat()

try:
    while 1:
          s.poll() # get current values
          if s.tool_table[1]:
               h['z_offset_tool_1'] = float(s.tool_table[1].zoffset)
               h['z_offset_tool_2'] = float(s.tool_table[2].zoffset)
               h['z_offset_tool_3'] = float(s.tool_table[3].zoffset)
               h['z_offset_tool_4'] = float(s.tool_table[4].zoffset)
               h['z_offset_tool_5'] = float(s.tool_table[5].zoffset)
               h['z_offset_tool_6'] = float(s.tool_table[6].zoffset)
               h['z_offset_tool_7'] = float(s.tool_table[7].zoffset)
               h['z_offset_tool_8'] = float(s.tool_table[8].zoffset)

except KeyboardInterrupt:
     raise SystemExit
